%%%-------------------------------------------------------------------
%%% @doc     功能预告
%%% Module  : lib_module_advance.erl
%%% Created : 2020-07-09
%%% @Author : tyl
%%%-------------------------------------------------------------------
-module(pp_module_advance).

-include("common.hrl").
-include("server.hrl").
-include("module_advance.hrl").
-include("figure.hrl").
-include("def_module.hrl").
-include("predefine.hrl").
-include("errcode.hrl").

-export([handle/3]).

%% 查询功能预告信息
handle(18200, Player, _) ->
	lib_module_advance:get_module_advance_state(Player);

%% 领取功能预告奖励
handle(18201, Player, [Id]) ->
	lib_module_advance:get_module_advance_reward(Id, Player);

handle(_Cmd, _PS, _Args) ->
	?ERR("Nomatch Cmd:~p Args:~p", [_Cmd, _Args]),
	{ok, _PS}.